ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: kaffe jar
Date Fri, 08 Feb 2002 14:09:15 GMT
Finally found it, but I had to install Kaffe to understand the
problem.

The problem is, that Kaffe 1.0.6 and earlier doesn't like it if you
set the compression level to its default value, from Deflater.java:

  public static final int DEFAULT_COMPRESSION = -1;

and

  public synchronized void setLevel(int lvl)
  {
    if (lvl < 0 || lvl > 9) {
      throw new IllegalArgumentException("levels 0-9 supported");
    }
    level = lvl;
  }

Kaffe appears to be fixed in CVS, and my change should make it work
with the released versions of Kaffe.

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message